:::

XOOPS 2.5.8 正體中文版


2.58 Release
安裝升級檔
PHP >=5.37
2017-04-26 16:21:29

XOOPS 2.5.8 正體中文版 下載連結

手動安裝方式

系統需求

  • WWW 伺服器 (Apache, NGINX, IIS 等)
  • PHP 5.3.7 或更高版本,強烈建議 5.6 以上
  • MySQL 5.1 或更高版本,強烈建議 5.6 以上

安裝前準備

  1. 正確設定 WWW 伺服器,PHP 和資料庫伺服器。
  2. 若安裝者的身份並非 root,那麼,請先準備一個用來安裝 XOOPS 的資料庫(含資料庫名稱、資料庫帳號、資料庫密碼)。
  3. 準備一組用於登入資料庫的帳號及密碼。
  4. 將檔案解壓縮,htdocs 底下的所有檔案上傳到網頁目錄下(如:/var/www/html 或 /home/xxx/public_html)
  5. 將 xoops_data 及 xoops_lib 移到網頁目錄之外(例如:/var/www 或者 /home/xxx/)
  6. 將下列資料夾與檔案的屬性設定為可寫入 UNIX, Linux(777);Windows(取消唯讀屬性):
    chmod 777 /網頁目錄/include/license.php
    chmod -R 777 /網頁目錄/uploads
    chmod -R 777 /網頁目錄上一層/xoops_data
  7. 移除 install 及 upgrade 目錄。

手動升級方式

  1. 請完整備份檔案及資料庫內容。
  2. 將解壓後 htdocs 下的所有檔案目錄上傳或複製到您的網頁目錄下(如:/var/www/html 或 /home/xxx/public_html)
  3. 將解壓後 htdocs/xoops_lib 下的所有檔案目錄上傳或複製到您的原來的 xoops_lib 位置
  4. 將解壓後的 upgrade 目錄 上傳或複製到您的網頁目錄下
  5. 開啟瀏覽器輸入 http://您的網址/upgrade/ 並按照畫面提示進行操作
  6. 登入網站,並至後台模組更新有顯示需要更新符號的模組。
  7. 移除 upgrade 目錄。
:::

計數器

今天: 540540540
昨天: 1710171017101710
總計: 1301583130158313015831301583130158313015831301583

災害示警